package org.jboss.qa.brno.quiz;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class LibraryTest extends TestCase {

	private Library library = null;
	
	public LibraryTest(String testName) {
		super(testName);
	}

	public static Test suite() {
		return new TestSuite(LibraryTest.class);
	}

	public void setUp() {
		this.library = new Library();
		library.addBook(new Book("0394749138", "The Civil War: A Narrative", new Author("Shelby", "Foote")));
		library.addBook(new Book("0679601120", "Stars in Their Courses", new Author("Shelby", "Foote")));
		library.addBook(new Book("1933988401", "Seam in Action", new Author("Dan", "Allen")));
		library.addBook(new Book("1847195644", "Drools JBoss Rules 5.0", new Author("Michal", "Bali")));
		library.addBook(new Book("1933988029", "JBoss in Action", new Author("Javid", "Jamae"), new Author("Peter", "Johnson")));
	}
	
	public void testReport() {
		Report report = new Report();
		report.generateBookReport();
	}
}
